#ifndef _variable

#define _variable

#include "index.h"

#include "array.h"

#include "string.h"

#include "tools.h"

#include "lexer.h"

#include <stdio.h>

struct variable{

	char * variableName;

	char * datatype;

	char * declaration;

	int isPointer;

	int lineNumber;

};

struct variable * variabe_new();

void variable_getVariablesByArgumentParts( struct array * argumentParts, struct array * variables, struct array * classesArray );

struct variable * variable_getByName( struct array * variables,  char * name );

int variable_isPointer( struct array * propertyParts );

void variable_extractFromDeclaration( lexer * currentLexer, int currentKey, int i, char * body, struct array * variables );


#endif